@import "_variables";
@import "_mixins";

.subscribe {
  background: center no-repeat url(../img/subscribe/base3.png);
  background-size: cover;
  padding-bottom: 6.0625rem;

  .active-box {
    background: #4d354a;
    width: 18.7rem;
    height: 35rem;
  }

  .active-header {
    width: 100%;
    background: #402d41;
  }

  .active-price {
    @include font-size(5.125rem, 5.625rem, 700, $neutral)
  }

  .active-price span {
    @include font-size(5.125rem, 5.625rem, 400, $neutral)
  }

  &__title {
    font-family: $montserrat-font;
    font-style: normal;
    text-align: center;
    margin-bottom: 2rem;
  }

  &__content {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    column-gap: 1.125rem;
    row-gap: 1.125rem;
  }


  &__purchase-block {
    width: 16.0625rem;
    height: 28.5625rem;
    background: #5f5161;

    &-header {
      display: flex;
      justify-content: center;
      align-items: center;

      @include font-size(1.5rem, 1.5rem, 400, $neutral);
      font-family: $montserrat-font;
      font-style: normal;
      text-transform: uppercase;

      width: auto;
      height: 6.0625rem;
      background: #695b6a;
    }

    &-content {
      display: flex;
      flex-direction: column;
      align-items: center;
      padding: 2rem 0 2.3125rem 0;
      height: 22.5rem;
      justify-content: space-between;

      &_price {
        @include font-size(3.75rem, 3.75rem, 700, $neutral);
        font-family: $montserrat-font;
        font-style: normal;
        text-transform: uppercase;
      }

      &_price span {
        @include font-size(3.75rem, 3.75rem, 400, $neutral);
        font-family: $montserrat-font;
        font-style: normal;
        text-transform: uppercase;
      }

      &_period {
        @include font-size(0.875rem, 1rem, 400, $neutral);
        font-family: $montserrat-font;
        font-style: normal;
        text-transform: uppercase;
        margin-bottom: 0.775rem;
      }

      &_license {
        @include font-size(1rem, 1.75rem, 400, $neutral);
        font-family: $montserrat-font;
        font-style: normal;
        text-align: center;
        margin-bottom: 1rem;
      }

      &_btn {
        @include font-size(1rem, 1rem, 400, $neutral);
        font-family: $montserrat-font;
        font-style: normal;
        text-transform: uppercase;

        width: 10rem;
        height: 2.625rem;
        border-radius: 2rem;
        border: none;
        outline: none;
        cursor: pointer;
        background: #695b6a;
      }
    }
  }
}